Subject: Re: linux-next: manual merge of the vfs-brauner tree with the ext4 tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 8 May 2024 16:59:53 +1000

Hi Christoph,

On Wed, 8 May 2024 08:47:00 +0200 Christoph Hellwig <[email-masked]> wrote:
>
> On Wed, May 08, 2024 at 10:34:36AM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the vfs-brauner tree got a conflict in:
> > 
> >   fs/ext4/file.c
> > 
> > between commit:
> > 
> >   a0c7cce824a5 ("ext4: set FMODE_CAN_ODIRECT instead of a dummy direct_IO method")
> > 
> > from the ext4 tree and commit:
> > 
> >   210a03c9d51a ("fs: claw back a few FMODE_* bits")
> > 
> > from the vfs-brauner tree.  
> 
> Ted, if you still can maybe just drop the ext4 patch for now?  I can
> redo it for next merge window with the moved flag.

If the resolution I did is fine, I am sure Linus will cope (but worth
mentioning it to him in the pull request).  Its a simple enough conflict.

-- 
Cheers,
Stephen Rothwell